org.apache.ignite.internal.visor.query

## Class VisorQueryArgV2

- java.lang.Object
- - org.apache.ignite.internal.visor.query.VisorQueryArg
  - - org.apache.ignite.internal.visor.query.VisorQueryArgV2

All Implemented Interfaces:
  Serializable

    public class VisorQueryArgV2
    extends VisorQueryArg

Arguments for `VisorQueryTask`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`VisorQueryArgV2(String cacheName, String qryTxt, boolean distributedJoins, boolean loc, int pageSize)`

### Method Summary

Methods
`boolean` `distributedJoins()`

### Methods inherited from class org.apache.ignite.internal.visor.query.VisorQueryArg

`cacheName, local, pageSize, queryTxt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorQueryArgV2

    public VisorQueryArgV2(String cacheName,
                   String qryTxt,
                   boolean distributedJoins,
                   boolean loc,
                   int pageSize)

Parameters:
  `cacheName` - Cache name for query.
  `qryTxt` - Query text.
  `distributedJoins` - If `true` then distributed joins enabled.
  `loc` - Flag whether to execute query locally.
  `pageSize` - Result batch size.

### Method Detail

#### distributedJoins

    public boolean distributedJoins()

Returns:
  Distributed joins enabled flag.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.8.0
Release Date | : December 5 2016